# class Chef::Resource::RubyBlock

### Public Class Methods

new(name, run_context=nil) click to toggle source
Calls superclass method Chef::Resource.new

    # File lib/chef/resource/ruby_block.rb, line 26
    def initialize(name, run_context=nil)
      super
      @resource_name = :ruby_block
      @action = "run"
      @allowed_actions << :create << :run
      @block_name = name
    end

### Public Instance Methods

block(&block) click to toggle source

    # File lib/chef/resource/ruby_block.rb, line 34
    def block(&block)
      if block_given? and block
        @block = block
      else
        @block
      end
    end

block_name(arg=nil) click to toggle source

    # File lib/chef/resource/ruby_block.rb, line 42
    def block_name(arg=nil)
      set_or_return(
        :block_name,
        arg,
        :kind_of => String
      )
    end